Google Web Toolkit (Beta)
Search this site:

# Interface TreeImages

public interface TreeImages
extends ImageBundle
An ImageBundle that provides images for Tree.

### Example

    public class TreeImagesExample implements EntryPoint {

      /**
       * Allows us to override Tree default images. If we don't override one of the
       * methods, the default will be used.
       */
      interface MyTreeImages extends TreeImages {

        /**
         * @gwt.resource downArrow.png
         */
        AbstractImagePrototype treeOpen();

        /**
         * @gwt.resource rightArrow.png
         */
        AbstractImagePrototype treeClosed();
      }

      public void onModuleLoad() {
        TreeImages images = (TreeImages)GWT.create(MyTreeImages.class);
        Tree tree = new Tree(images);
        RootPanel.get().add(tree);
      }
    }

## Methods

treeClosed() | An image indicating a closed branch.
treeLeaf() | An image indicating a leaf.
treeOpen() | An image indicating an open branch.

## Method Detail

### treeClosed

public AbstractImagePrototype treeClosed()
An image indicating a closed branch.

#### Return Value

a prototype of this image

### treeLeaf

public AbstractImagePrototype treeLeaf()
An image indicating a leaf.

#### Return Value

a prototype of this image

### treeOpen

public AbstractImagePrototype treeOpen()
An image indicating an open branch.

#### Return Value

a prototype of this image